geos::triangulate Namespace Reference

Classes to compute Delaunay triangulations. More...

## Namespaces

namespace | quadedge
| Classes to implement a topological subdivision of quadeges, to support creating triangulations and Voronoi diagrams.

## Classes

class | DelaunayTriangulationBuilder
| A utility class which creates Delaunay Triangulations from collections of points and extract the resulting triangulation edges or triangles as geometries. More...
class | IncrementalDelaunayTriangulator
| Computes a Delauanay Triangulation of a set of `quadedge::Vertex`es, using an incrementatal insertion algorithm. More...
class | VoronoiDiagramBuilder
| A utility class which creates Voronoi Diagrams from collections of points. More...

## Detailed Description

Classes to compute Delaunay triangulations.